/* Characters Map/2
 *
 * About window
 * Copyright (C) 2001 Dmitry A.Steklenev
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR OR CONTRIBUTORS "AS IS"
 * AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * AUTHOR OR THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: cmap_about.cpp,v 1.11 2002/09/12 08:27:02 glass Exp $
 */

#define  INCL_WIN
#include <os2.h>
#include <stdio.h>

#include "cmap_about.h"
#include "cmap_ids.h"

extern const char* application_name;

/*--------------------------------------------------
 * Constructs the about window
 *--------------------------------------------------*/
CMapAbout::CMapAbout( SHORT id, PMWindow* owner )

: inherited  ( id, application_name, owner->handle(), 0, 0, 360, 180,
               FCF_NOBYTEALIGN | FCF_NOMOVEWITHOWNER | FCF_TITLEBAR |
               FCF_SYSMENU     | FCF_DLGBORDER       | FCF_AUTOICON |
               FCF_CLOSEBUTTON ),

  lbl_about  ( WC_STATIC, ID_STA_APPNAME, "Characters Map/2", handle(), handle(),
               20, 130, 310,  20, WS_VISIBLE | SS_TEXT | DT_LEFT | DT_BOTTOM ),
  lbl_version( WC_STATIC, ID_STA_VERSION, ""    , handle(), handle(),
               20, 105, 310,  18, WS_VISIBLE | SS_TEXT | DT_LEFT | DT_TOP    ),
  lbl_author ( WC_STATIC, ID_STA_AUTHOR , ""    , handle(), handle(),
               20,  40, 310,  60, WS_VISIBLE | SS_TEXT | DT_LEFT | DT_WORDBREAK ),
  btn_ok     ( WC_BUTTON, DID_OK        , "~OK" , handle(), handle(),
               240,  10, 110,  30, WS_VISIBLE | WS_TABSTOP | BS_PUSHBUTTON )
{
  char ver[64];
  sprintf( ver, "Version %s", PCK_VERSION );

  btn_ok     .set_font   ( "8.Helv" );
  lbl_version.set_font   ( "8.Helv" )
             .set_caption( ver      );
  lbl_author .set_font   ( "8.Helv" )
             .set_caption( "Copyright (C) 1998-2002 Dmitry A.Steklenev\n"
                           "e-mail: glass@ptv.ru\n"
                           "home: http://glass.os2.spb.ru\n"
                           "home: http://glass.ptv.ru"       );

  // Restore the last window position and size
  SHAPE old_rect = shape();

  load( INI_ABOUT_POS );
  center_at();

  SHAPE new_rect = shape();
  new_rect.cx  = old_rect.cx;
  new_rect.cy  = old_rect.cy;
  reshape( new_rect );

  show();
  btn_ok.set_focus();

  WinProcessDlg( handle());
}

/*--------------------------------------------------
 * Dispatch system native event
 *-------------------------------------------------*/
MRESULT CMapAbout::dispatch( ULONG msg, MPARAM mp1, MPARAM mp2 )
{
  switch( msg )
  {
    case WM_CLOSE:
      WinDismissDlg( handle(), 0 );
      destroy();
      return 0;

    case WM_DESTROY:
      save( INI_ABOUT_POS  );
      stop_handling_events();
      delete this;
      return 0;

    case WM_COMMAND:
    {
      switch ( SHORT1FROMMP(mp1))
      {
        case DID_OK:
        case DID_CANCEL:
          WinPostMsg( handle(), WM_CLOSE, 0, 0 );
          return 0;
      }
    }
  }

  return inherited::dispatch( msg, mp1, mp2 );
}

