/* Characters Map/2
 *
 * Fonts management class
 * Copyright (C) 2001 Dmitry A.Steklenev
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Dmitry A.Steklenev".
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR OR CONTRIBUTORS "AS IS"
 * AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * AUTHOR OR THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: cmap_fonts.cpp,v 1.5 2001/05/11 17:59:31 glass Exp $
 */

#define  INCL_WIN
#define  INCL_GPI
#include <os2.h>

#include "cmap_fonts.h"
#include "pm_gui.h"
#include "pm_error.h"

FONTMETRICS* CMapFonts::fonts_metrics = 0;
ULONG        CMapFonts::count_metrics = 0;

/*--------------------------------------------------
 * Refreshes font metrics list
 *--------------------------------------------------*/
void CMapFonts::refresh()
{
  HPS  ps = WinGetPS( HWND_DESKTOP );
  LONG rem_fonts = 0;
  LONG req_fonts = 0;

  rem_fonts = GpiQueryFonts( ps, QF_PUBLIC, NULL, &req_fonts,
                                            sizeof(FONTMETRICS), 0 );
  if( rem_fonts == GPI_ALTERROR )
    PM_THROW_GUIERROR();

  if( count_metrics < rem_fonts )
  {
    delete fonts_metrics;
    fonts_metrics = new FONTMETRICS[rem_fonts];
  }

  req_fonts = rem_fonts;
  rem_fonts = GpiQueryFonts( ps, QF_PUBLIC, NULL, &req_fonts,
                                 sizeof(FONTMETRICS), fonts_metrics );
  if( rem_fonts != 0 )
    PM_THROW_GUIERROR();

  WinReleasePS(ps);
  count_metrics = req_fonts;
}

/*--------------------------------------------------
 * Returns available font metrics
 *--------------------------------------------------*/
FONTMETRICS* CMapFonts::metrics()
{
  if( !fonts_metrics )
    refresh();

  return fonts_metrics;
}

